astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- SVO Filter Profile Service Queries (`astroquery.svo_fps`) »
- SvoFpsClass

# SvoFpsClass

class astroquery.svo_fps.SvoFpsClass

  Bases: `BaseQuery`

  Class for querying the Spanish Virtual Observatory filter profile service

  Attributes Summary

  `SVO_MAIN_URL` |
  `TIMEOUT` |

  Methods Summary

  `data_from_svo`(query, *[, cache, timeout, ...]) | Get data in response to the query send to SVO FPS.
  `get_filter_index`(wavelength_eff_min, ...) | Get master list (index) of all filters at SVO Optional parameters can be given to get filters data for specified Wavelength Effective range from SVO
  `get_filter_list`(facility, *[, instrument]) | Get filters data for requested facilty and instrument from SVO
  `get_transmission_data`(filter_id, **kwargs) | Get transmission data for the requested Filter ID from SVO

  Attributes Documentation

  SVO_MAIN_URL = 'https://svo2.cab.inta-csic.es/theory/fps/fps.php'
  TIMEOUT = 60

  Methods Documentation

  data_from_svo(query, *, cache=True, timeout=None, error_msg='No data found for requested query')

    Get data in response to the query send to SVO FPS. This method is not generally intended for users, but it can be helpful if you want something very specific from the SVO FPS service. If you don’t know what you’re doing, try `get_filter_index`, `get_filter_list`, and `get_transmission_data` instead.

    Parameters:
      query dict

        Used to create a HTTP query string i.e. send to SVO FPS to get data. In dictionary, specify keys as search parameters (str) and values as required. Description of search parameters can be found at https://svo2.cab.inta-csic.es/theory/fps/index.php?mode=voservice

      error_msg str, optional

        Error message to be shown in case no table element found in the responded VOTable. Use this to make error message verbose in context of the query made (default is ‘No data found for requested query’)

      cache bool

        Defaults to True. If set overrides global caching behavior. See caching documentation.

    Returns:
      astropy.table.table.Table object

        Table containing data fetched from SVO (in response to query)

  get_filter_index(wavelength_eff_min, wavelength_eff_max, **kwargs)

    Get master list (index) of all filters at SVO Optional parameters can be given to get filters data for specified Wavelength Effective range from SVO

    Parameters:
      wavelength_eff_min `Quantity` with units of length

        Minimum value of Wavelength Effective

      wavelength_eff_max `Quantity` with units of length

        Maximum value of Wavelength Effective

      kwargs dict

        Passed to `data_from_svo`. Relevant arguments include `cache`

    Returns:
      astropy.table.table.Table object

        Table containing data fetched from SVO (in response to query)

  get_filter_list(facility, *, instrument=None, **kwargs)

    Get filters data for requested facilty and instrument from SVO

    Parameters:
      facility str

        Facilty for filters

      instrument str, optional

        Instrument for filters (default is None). Leave empty if there are no instruments for specified facilty

      kwargs dict

        Passed to `data_from_svo`. Relevant arguments include `cache`

    Returns:
      astropy.table.table.Table object

        Table containing data fetched from SVO (in response to query)

  get_transmission_data(filter_id, **kwargs)

    Get transmission data for the requested Filter ID from SVO

    Parameters:
      filter_id str

        Filter ID in the format SVO specifies it: ‘facilty/instrument.filter’. This is returned by `get_filter_list` and `get_filter_index` as the `filterID` column.

      kwargs dict

        Passed to `data_from_svo`. Relevant arguments include `cache`

    Returns:
      astropy.table.table.Table object

        Table containing data fetched from SVO (in response to query)